<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.db.Logger" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="com.censoft.db.DBUtil" %>
<%@ page import="java.sql.DatabaseMetaData" %>
<%@ page import="java.sql.Statement" %>
<%@ page import="java.sql.SQLException" %>
<%@ page import="java.util.*" %>
<%@ page import="java.util.regex.Pattern" %>
<%@ page import="java.util.regex.Matcher" %>
<%!
    public boolean checkSeg(String end_number,String end_num_rules){
        String pattern ="";
        if("AAAA".equals(end_num_rules)){
            pattern="(\\d)\\1{3}";
        }else if("ABCD".equals(end_num_rules)){
            pattern = "(?:0(?=1)|1(?=2)|2(?=3)|3(?=4)|4(?=5)|5(?=6)|6(?=7)|7(?=8)|8(?=9)){3}\\d";
        }else if("ABBB".equals(end_num_rules)){
            pattern="(\\d)((?!\\1)\\d)\\2{2}";
        }else if("AAAB".equals(end_num_rules)){
            pattern="(\\d)\\1{2}((?!\\1)\\d)";
        }else if("AABB".equals(end_num_rules)){
            pattern="(\\d)\\1{1}((?!\\1)\\d)\\2{1}";
        }else if("ABAB".equals(end_num_rules)){
            pattern="(\\d)((?!\\1)\\d)(\\1\\2){1}";
        }else if("00".equals(end_num_rules)){
            if("00".equals(end_number.substring(2,4))){
                return true;
            }
        }
        Pattern p = Pattern.compile(pattern);
        Matcher m = p.matcher(end_number);
        return m.matches();
    }
%>

<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list;
    String action = pub.trimNull(request.getParameter("action"));
    String rules_name = pub.trimNull(request.getParameter("rules_name"));
    String seg = pub.trimNull(request.getParameter("seg"));
    String seg_end = pub.trimNull(request.getParameter("seg_end"));
    String end_num_rules = pub.trimNull(request.getParameter("end_num_rules"));
    String describes = pub.trimNull(request.getParameter("describes"));
    String delete_id = pub.trimNull(request.getParameter("delete_id"));
    String setRulesId = pub.trimNull(request.getParameter("set_rules_id"));
    String update_id = pub.trimNull(request.getParameter("update_id"));
    String id = DBUtil.getUUID();
    String add_user = (String) session.getAttribute("session_login_id");
    String add_time = pub.getCurrentServerTime();
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        conn.setAutoCommit(false);
        if ("add".equals(action)) {
            boolean is_up = cf.executeUpdate(conn, "insert into tp_special_num_rules (id,rules_name,seg,seg_end,end_num_rules,describes,createtime,creator) values (?,?,?,?,?,?,?,?)"
                    , new Object[]{id,rules_name,seg,seg_end,end_num_rules,describes,add_time,add_user});
            if (!is_up) {
                out.println("特殊号码规则新增报错" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"特殊号码规则配置", "添加", id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }if ("update".equals(action)) {
            boolean is_up = cf.executeUpdate(conn, "update tp_special_num_rules set rules_name=?,seg=?,seg_end=?,end_num_rules=?,describes=?,updatetime=?,updator=? where id=? "
                    , new Object[]{rules_name,seg,seg_end,end_num_rules,describes,add_time,add_user,update_id});
            if (!is_up) {
                out.println("特殊号码规则修改报错" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"特殊号码规则配置", "修改", id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }else if("delete".equals(action)){
            boolean is_up = cf.executeUpdate(conn, "delete from tp_special_num_rules where id=?"
                    , new Object[]{delete_id});
            if (!is_up) {
                out.println("特殊号码规则删除报错" + cf.getMsg());
                conn.rollback();
                return;
            }
            is_up = cf.executeUpdate(conn, "update tp_phone_info set rule_id='' where rule_id=?"
                    , new Object[]{delete_id});
            if (!is_up) {
                out.println("特殊号码规则id重置失败" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"特殊号码规则配置", "删除", delete_id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }else if("setRules".equals(action)){
            String sql="select phone from tp_phone_info where phone >=? and phone <=?";
            Vector phone_list = cf.doQuery(conn,sql,null,new Object[]{Integer.parseInt(seg),Integer.parseInt(seg_end)});
            List list = new ArrayList();
            String endNumber="";
            boolean b=false;
            StringBuffer updateSql = new StringBuffer();
            if(phone_list!=null && phone_list.size()>0){
                for(int i=0;i<phone_list.size();i++){
                    Hashtable ht = (Hashtable) phone_list.get(i);
                    String phone = pub.trimNull((String) ht.get("phone"));
                    if(!"".equals(phone)&&phone.length()>4){
                        endNumber=phone.substring(4,phone.length());
                        b=checkSeg(endNumber,end_num_rules);
                        if(b){
                            list.add(phone);
                        }
                    }
                }
            }
            if(list!=null && list.size()>0){
                updateSql.append("update tp_phone_info set rule_id=? where ");
                for(int n=0;n<list.size();n++){
                    if(n==list.size()-1){
                        updateSql.append(" phone =?");
                    }else {
                        updateSql.append(" phone =? or");
                    }
                }
            }
            list.add(0,setRulesId);
            boolean is_up = cf.executeUpdate(conn, updateSql.toString()
                    , list.toArray());
            if (!is_up) {
                out.println("设置特殊号码规则失败" + cf.getMsg());
                conn.rollback();
                return;
            }
            Logger.log(conn,"特殊号码规则配置", "设置规则", seg, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }
    } catch (Exception e) {
        try {
            if(conn != null){
                conn.rollback();
            }
        } catch (SQLException e1) {
            e1.printStackTrace();
        }
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>
