<%@ page contentType="text/html;charset=UTF-8" %>

<link rel="stylesheet" href="<%=request.getContextPath()%>/js/zTree/v3/css/zTreeStyle/zTreeStyle.css" type="text/css">
<link rel="stylesheet" href="<%=request.getContextPath()%>/css/pagination.css">
<div class="page-container">

    <div class="content" >
        <div class="search-form">
            <form  method="post" id="data_form_search" name="data_form_search">
                <input type="hidden" name="page_number" id="page_number" value="1"/>
                <input type="hidden" name="dept_id" id="dept_id" value=""/>
                <input type="hidden" name="page_size" id="page_size" value="10"/>
                <div class="text-l">
                    <table class="search-table " style="margin-left: 10%;">
                        <tr class="">
                            <td class="search-label" >
                                所属号段：
                            </td>
                            <td class="search-input" style="width:400px;">
                                <input type="text" placeholder="输入所属号段" class="input-text" name="seg" id="seg" value=""
                                       placeholder="" style="width:40%;">
                                &nbsp;~&nbsp;
                                <input type="text" placeholder="输入所属号段" class="input-text" name="seg_end" id="seg_end" value=""
                                       placeholder="" style="width:40%;">
                            </td>
                            <td class="search-label">
                                尾号规则：
                            </td>
                            <td class="search-input">
                                <select class="input-text" name="end_num_rules" id="end_num_rules">
                                    <option  value="">请选择</option>
                                    <option  value="AAAA">AAAA</option>
                                    <option  value="ABCD">ABCD</option>
                                    <option  value="ABBB">ABBB</option>
                                    <option  value="AAAB">AAAB</option>
                                    <option  value="AABB">AABB</option>
                                    <option  value="ABAB">ABAB</option>
                                </select>
                            </td>
                            <td colspan="2">
                                <a class="btn btn-primary radius" id="searchA" onclick="searchUserModel();" style="margin-left:19%;">
                                    查询
                                </a>
                                <a class="btn btn-info radius" onclick="chongzhi();" style="margin-left:5px;">
                                    重置
                                </a>
                            </td>
                        </tr>
                    </table>
                </div>
            </form>
        </div>
        <div style="height:10px;background-color: #d9e4f6">

        </div>
        <div class="datalist " id="datalist">

        </div>
    </div>
</div>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/jquery.pagination.js"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript">
    function searchModel() {
        $.ajax({
            type: "post",
            url: "seg_list_ajax.jsp",
            data: $('#data_form_search').serialize(),
            success: function (msg) {
                //data_form_search.reset();
                $("#datalist").html(msg);
            }
        });
    }


    function searchUserModel() {
        $("#page_number").val("1");
        searchModel();
    }


    $(function(){
        searchModel();
    });

    function chongzhi(){

        $("#page_size").val("10");
        data_form_search.reset();
        searchUserModel();
    }


    /*用户-编辑*/
    function addRules(title, url) {
        layer_show(title, url, "800", "500");
    }
    function updateById(id){
        layer_show("编辑", "./seg_add-t.jsp?update_id="+id, "800", "500");
    }

    function deleteById(id) {
        layer.confirm('确认要删除吗？', function (index) {
            $.ajax({
                type: "POST",
                url: "./action.jsp",
                data: {"action":"delete","delete_id":id},
                success: function (msg) {
                    if (msg.indexOf("success") >= 0) {
                        layer.msg('操作成功!', {icon: 1, time: 1000},
                            function () {
                                searchModel();
                            });
                    } else {
                        layer.msg('操作失败', {
                            icon: 5,
                            time: 2000 //2秒关闭（如果不配置，默认是3秒）
                        }, function () {
                        });
                    }
                }
            });
         })
    }
    function setRules(id,seg,seg_end,end_num_rules) {
        $.ajax({
            type: "POST",
            url: "./action.jsp",
            data: {"action":"setRules","set_rules_id":id,"seg":seg,"seg_end":seg_end,"end_num_rules":end_num_rules},
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            searchModel();
                        });
                } else {
                    layer.msg('操作失败', {
                        icon: 5,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                    });
                }
            }
        });
    }
</script>