<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.SQLException" %>
<%@ page import="java.util.*" %>
<%


    Connection conn = null;
    Vector v_list;
    Hashtable ht = new Hashtable();
    Pub pub = new Pub();
    ConnectionFactory cf = new ConnectionFactory();
    String update_id = pub.trimNull(request.getParameter("update_id"));
    String action="add";
    if(!"".equals(update_id)){
        action="update";
    }
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        v_list=cf.doQuery(conn,"select * from tp_special_num_rules where id=? ",null,new Object[]{update_id});
        if (v_list == null) {
            out.println("查询用户出错");
            return;
        }
        if (v_list.size() > 0) {
            ht = (Hashtable) v_list.get(0);
        }
    } catch (Exception e) {
        try {
            if(conn != null){
                conn.rollback();
            }
        } catch (SQLException e1) {
            e1.printStackTrace();
        }
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>
<article class="page-container" style="overflow: hidden;">
    <form class="form form-horizontal" id="form-admin-add">
        <input type="hidden" name="action" value="<%=action%>">
        <input type="hidden" name="update_id" value="<%=update_id%>">
        <div class="row cl">
            <label class="form-label col-xs-2 col-sm-2">规则名称：</label>
            <div class="formControls col-xs-8 col-sm-9">
                <input type="text" class="input-text" name="rules_name" id="rules_name" value="<%=pub.trimNull((String) ht.get("rules_name"))%>"
                       placeholder="" >
            </div>
        </div>
        <div class="row cl">
            <label class="form-label col-xs-2 col-sm-2">所属号段：</label>
            <div class="formControls col-xs-8 col-sm-9">
                <input type="text" class="input-text" name="seg" id="seg" value="<%=pub.trimNull((String) ht.get("seg"))%>"
                       placeholder="" style="width:40%;">
                &nbsp;~&nbsp;
                <input type="text" class="input-text" name="seg_end" id="seg_end" value="<%=pub.trimNull((String) ht.get("seg_end"))%>"
                       placeholder="" style="width:40%;">
            </div>
        </div>
        <div class="row cl">
            <label class="form-label col-xs-2 col-sm-2">尾号规则：</label>
            <div class="formControls col-xs-8 col-sm-9">
                <select class="input-text" name="end_num_rules" id="end_num_rules">
                    <option  value="">请选择</option>
                    <option <%if("AAAA".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="AAAA">AAAA</option>
                    <option <%if("ABCD".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="ABCD">ABCD</option>
                    <option <%if("ABBB".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="ABBB">ABBB</option>
                    <option <%if("AAAB".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="AAAB">AAAB</option>
                    <option <%if("AABB".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="AABB">AABB</option>
                    <option <%if("ABAB".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="ABAB">ABAB</option>
<%--
                    <option <%if("00".equals(pub.trimNull((String) ht.get("end_num_rules")))){%>selected<%}%> value="00">00</option>
--%>
                </select>
            </div>
        </div>
        <div class="row cl">
            <label class="form-label col-xs-2 col-sm-2">备注：</label>
            <div class="formControls col-xs-8 col-sm-9">
                <textarea type="text" class="input-text" name="describes" id="describes"
                          style="height:120px;" ><%=pub.trimNull((String) ht.get("describes"))%></textarea>
            </div>
        </div>
        <div class="row cl">
            <div class="col-xs-8 col-sm-9 col-xs-offset-4 col-sm-offset-3">
                <input class="btn btn-primary radius" type="button" onclick="javascript:saveForm();"
                       value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
            </div>
        </div>

    </form>
</article>
<script>
    function saveForm() {
        var seg=$("#seg").val();
        var seg_end=$("#seg_end").val();
        if(seg === ""||seg_end === ""){
            layer.msg('输入的号码段为空', {
                icon: 5,
                time: 2000 //2秒关闭（如果不配置，默认是3秒）
            }, function () {
            });
            return false;
        }
        if(!isNumber(seg)||!isNumber(seg_end)){
            layer.msg('号码段必须为数字', {
                icon: 5,
                time: 2000 //2秒关闭（如果不配置，默认是3秒）
            }, function () {
            });
            return false;
        }
        if(seg_end<seg){
            layer.msg("请输入大于等于前面的数字！", {
                icon: 5,
                time: 2000
            })
            return false;
        }
        saveSeg();
    }

    function isNumber(value){
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
            return false
        } else {
            return true
        }

    }
    function saveSeg(){
        $.ajax({
            type: "POST",
            url: "./action.jsp",
            data: $('#form-admin-add').serialize(),
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            parent.searchModel();
                            var index = parent.layer.getFrameIndex(window.name);
                            parent.layer.close(index);
                        });
                } else {
                    layer.msg('操作失败', {
                        icon: 5,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                    });
                }
            }
        });
    }
</script>